Index: branches/network/src/lib/network/network_stream.cc
===================================================================
--- branches/network/src/lib/network/network_stream.cc	(revision 9906)
+++ branches/network/src/lib/network/network_stream.cc	(revision 9907)
@@ -1193,6 +1193,6 @@
           }
           else
-	    ; /// FIXME CLASS_ID :: b = Factory::fabricate( leafClassId );
-	  b = Factory::fabricate( ObjectListBase::retrieveIdentity( leafClassId )  );
+		  b = Factory::fabricate( ObjectListBase::retrieveIdentity( leafClassId )  );
+	  
           if ( !b )
           {
Index: branches/network/src/lib/network/synchronizeable.cc
===================================================================
--- branches/network/src/lib/network/synchronizeable.cc	(revision 9906)
+++ branches/network/src/lib/network/synchronizeable.cc	(revision 9907)
@@ -271,5 +271,5 @@
 //       PRINTF(0)("sending %s %d\n", (*it)->getName().c_str(), n);
 
-//       if( this->isA(CL_PLAYABLE))
+//       if( this->isA( Playable::staticClassID() ))
 //       {
 //         PRINTF(0)("ms: %i, ps: %i, c: %i, sender: %i, reciever: %i, owner: %i, perm: (ow %i, ms %i, s %i, a %i)\n",
@@ -457,5 +457,5 @@
       //(*it)->debug();
 
-//       if( this->isA(CL_PLAYABLE))
+//       if( this->isA(Playable::staticClassID()))
 //       {
 //         PRINTF(0)("ms: %i, ps: %i, c: %i, sender: %i, reciever: %i, owner: %i, perm: (ow %i, ms %i, s %i, a %i)\n",
Index: branches/network/src/lib/network/synchronizeable_var/synchronizeable_classid.cc
===================================================================
--- branches/network/src/lib/network/synchronizeable_var/synchronizeable_classid.cc	(revision 9906)
+++ branches/network/src/lib/network/synchronizeable_var/synchronizeable_classid.cc	(revision 9907)
@@ -47,5 +47,4 @@
 {
   int res = Converter::intToByteArray( vPtrIn->getLeafClassID().id(), buf, maxLength );
-  printf( "%s has id %d\n", vPtrIn->getClassName().c_str(), vPtrIn->getLeafClassID().id() );
 
   assert( res == INTSIZE );
Index: branches/network/src/util/game_rules.cc
===================================================================
--- branches/network/src/util/game_rules.cc	(revision 9906)
+++ branches/network/src/util/game_rules.cc	(revision 9907)
@@ -65,5 +65,5 @@
     PRINTF(4)("Adding Mission Goal:%s\n", element->Value());
     BaseObject* created = Factory::fabricate(element);
-    if (created != NULL /*&& created->isA(CL_GAME_RULES)*/)
+    if (created != NULL /*&& created->isA(GameRules::staticClassID())*/)
     {
       MissionGoal* mg = dynamic_cast<MissionGoal*>(created);
Index: branches/network/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- branches/network/src/util/multiplayer_team_deathmatch.cc	(revision 9906)
+++ branches/network/src/util/multiplayer_team_deathmatch.cc	(revision 9907)
@@ -499,5 +499,5 @@
 
   assert( bo != NULL );
-  assert( bo->isA( CL_PLAYABLE ) );
+  assert( bo->isA( Playable::staticClassID() ) );
 
   Playable & playable = *(dynamic_cast<Playable*>(bo));
Index: branches/network/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- branches/network/src/world_entities/power_ups/laser_power_up.cc	(revision 9906)
+++ branches/network/src/world_entities/power_ups/laser_power_up.cc	(revision 9907)
@@ -80,5 +80,5 @@
 {
  // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
- if (entity->isA(CL_PLAYABLE))
+  if (entity->isA(Playable::staticClassID()))
   this->toList(OM_DEAD);
 }
Index: branches/network/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- branches/network/src/world_entities/power_ups/turret_power_up.cc	(revision 9906)
+++ branches/network/src/world_entities/power_ups/turret_power_up.cc	(revision 9907)
@@ -76,5 +76,5 @@
 {
  // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
- if (entity->isA(CL_PLAYABLE))
+  if (entity->isA(Playable::staticClassID()))
    this->toList(OM_DEAD);
 }
